Project

General

Profile

Configurazione di Apache 2.0 per Ruby su Debian Sarge

Anzitutto occorre installare i seguenti pacchetti per Apache:

apt-get install libapache2-mod-fcgid
apt-get install libfcgi-ruby1.8

Inoltre per poter ricompilare il pacchetto occorrono:

apt-get install rake
apt-get install rdoc
apt-get install dpatch

Infine per l'installazione e l'uso del pacchetto servono:

apt-get install libredcloth-ruby1.8
apt-get install libmysql-ruby1.8
apt-get install libldap-ruby1.8

Per la ricompilazione conviene usare il pacchetto di Ubuntu, che è più vicino alle versioni dei programmi presenti su Sarge, e può essere ricompilato senza utilizzare altri pacchetti esterni, si aggiunga la seguente riga:

deb-src http://it.archive.ubuntu.com/ubuntu breezy main universe

a /etc/apt/sources.list, e poi si scarichino i sorgenti con:

apt-get source rails

dopo di che sarà sufficiente eseguire i comandi:

cd rails-0.13.1/
debuild -uc -us

e lo si potrà installare con:

cd ..
dpkg -i rails_0.13.1-1_all.deb